<?php

namespace Drupal\var_debugger\Utils;

use Symfony\Component\VarDumper\VarDumper;

/**
 * Provides utility methods for debugging variables.
 */
class VarDebugger {

  /**
   * Logs debugging information about a given variable.
   *
   * @param mixed $var
   *   The variable to log.
   * @param bool $exit
   *   If TRUE, stops script execution after logging.
   */
  public static function log(mixed $var, bool $exit = FALSE): void {
    // Print the type of the variable.
    echo('TYPE : ' . get_debug_type($var) . '<br>');
    VarDumper::dump($var);

    // Stop script execution if $exit is TRUE.
    if ($exit) {
      die('EOF');
    }

    // Print an end-of-log marker.
    echo("EOL <br><br>");
  }

}
